# FAST sensitivity analysis
N = 75

OF.fast99.ech <- fast99(model=NULL,
                      factors=as.character(OF.caractFactor$name),
                      n=N,
                      q="qunif",
                      q.arg=OF.bounds3)
OF.fast99.Q <- fast99(model=OF.multiRun,
                      factors=as.character(OF.caractFactor$name),
                      n=N,
                      q="qunif",
                      q.arg=OF.bounds3,
                      varOut="Q",nVerb=15,fast=TRUE)
OF.fast99.H <- fast99(model=OF.multiRun,
                      factors=as.character(OF.caractFactor$name),
                      n=N,
                      q="qunif",
                      q.arg=OF.bounds3,
                      varOut="H",nVerb=15,fast=TRUE)

pdf(paste(OF.dirBase,"fast99.pdf",sep=""))
plot(OF.fast99.ech$X)
title(main="FAST sensitivity analysis sampling")
plot(OF.fast99.Q)
title(main="FAST sensitivity analysis on the downstream")
plot(OF.fast99.H)
title(main="FAST sensitivity analysis on the water level")
dev.off()
