# Morris sensitivity analysis
N = 25

OF.morris.ech <- morris(model=NULL,
                             factors=as.character(OF.caractFactor$name),r=N,
                             design=list(type="oat", levels=25, grid.jump=12),
                             binf=OF.caractFactor$inf3,bsup=OF.caractFactor$sup3)
OF.morris.Q <- morris(model=OF.multiRun,
                             factors=as.character(OF.caractFactor$name),r=N,
                             design=list(type="oat", levels=25, grid.jump=12),
                             binf=OF.caractFactor$inf3,bsup=OF.caractFactor$sup3,
                             varOut="Q",nVerb=15,fast=FALSE)
OF.morris.H <- morris(model=OF.multiRun,
                    factors=as.character(OF.caractFactor$name),r=N,
                    design=list(type="oat", levels=25, grid.jump=12),
                    binf=OF.caractFactor$inf3,bsup=OF.caractFactor$sup3,
                    varOut="H",nVerb=15,fast=FALSE)

pdf(paste(OF.dirBase,"morris.pdf",sep=""))
plot(OF.morris.ech$X)
title(main="Morris sensitivity analysis sampling")
plot(OF.morris.Q,xlim=c(0,1),ylim=c(0,1))
title(main="Morris sensitivity analysis on the downstream")
plot(OF.morris.H,xlim=c(0,1),ylim=c(0,1))
title(main="Morris sensitivity analysis on the water level")
dev.off()
