# test of OpenFLUID simulation
OpenFLUID.addVariablesExportAsCSV(OF.simu,'RS')
OpenFLUID.addVariablesExportAsCSV(OF.simu,'SU')
OpenFLUID.runSimulation(OF.simu)

# load some results
OF.H.rain          = OpenFLUID.loadResult(OF.simu,"SU",5,"water.atm-surf.H.rain")
OF.H.runoff        = OpenFLUID.loadResult(OF.simu,"SU",5,"water.surf.H.runoff")
OF.H.infiltration  = OpenFLUID.loadResult(OF.simu,"SU",5,"water.surf.H.infiltration")
OF.Q.downstream    = OpenFLUID.loadResult(OF.simu,"RS",3,"water.surf.Q.downstream-rs")
OF.H.level         = OpenFLUID.loadResult(OF.simu,"RS",3,"water.surf.H.level-rs")

# screen output of some results
print(paste("cumulative downstream : ",as.character(sum(OF.Q.downstream[,2])*OF.deltaT)," m3",sep=""))
print(paste("maximum water level   : ",as.character(max(OF.H.level[,2]))," m",sep=""))

# plot of some results
pdf(paste(OF.dirBase,"plot-R-MHYDAS-SU5.pdf",sep=""))
plot(OF.H.rain[,1],OF.H.rain[,2],type='l',lwd=3,xlab='Date',ylab='Flow [m3.s-1]')
lines(OF.H.infiltration[,1],OF.H.infiltration[,2],type='l',col='red',lwd=2)
lines(OF.H.runoff[,1],OF.H.runoff[,2],type='l',col='blue',lwd=2)
legend("topright",c('Rain on SU5','Runoff on SU5','Infiltration on SU5'),lty=c(1,1,1),lwd=c(3,2,2),col=c('black','red','blue'))
dev.off()
